package com.jeeplus.modules.sg.audit.report.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.audit.report.entity.SgReport;
import com.jeeplus.modules.sg.audit.report.mapper.ReportMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ReportService extends CrudService<ReportMapper, SgReport> {
    @Autowired
    private ReportMapper reportMapper;


    public List<SgReport> findData(SgReport sgReport){
        dataRuleFilter(sgReport);
        return reportMapper.findData(sgReport);
    }

    public List<SgReport> findList(SgReport sgReport){
        dataRuleFilter(sgReport);
        return reportMapper.findList(sgReport);
    }

    public List<SgReport> findUnitData(SgReport sgReport){
        dataRuleFilter(sgReport);
        return reportMapper.findUnitData(sgReport);
    }

    public List<SgReport> findUnitList(SgReport sgReport){
        dataRuleFilter(sgReport);
        return reportMapper.findUnitList(sgReport);
    }
}
